import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:legacy_shared/src/data/datasource/legacy_shared_remote_datasource.dart';
import 'package:legacy_shared/src/data/datasource/legacy_shared_remote_datasource_impl.dart';
import 'package:sf_infrastructure/sf_infrastructure.dart';

final legacySharedRemoteDatasourceProvider = Provider<LegacySharedRemoteDatasource>((ref) {
  final questiaRepository = getIt<QuestiaRepository>();
  return LegacySharedRemoteDatasourceImpl(questiaRepository);
});
